## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### PATCH

`/
v2.0/
knowledgestores/
{knowledgeStoreId}/
sources/
{sourceId}`

#### Try it

### Updates a Knowledge Source

#### cURL

```bash
curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "mysource",
  "description": "mysource description",
  "metaData": {
    "tags": [
      "tag1"
    ]
  }
}
'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}"

payload = {
    "name": "mysource",
    "description": "mysource description",
    "metaData": { "tags": ["tag1"] }
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'mysource',
    description: 'mysource description',
    metaData: {tags: ['tag1']}
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => 'mysource',
    'description' => 'mysource description',
    'metaData' => [
        'tags' => [
                'tag1'
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}"

payload := strings.NewReader("{\n  \"name\": \"mysource\",\n  \"description\": \"mysource description\",\n  \"metaData\": {\n    \"tags\": [\n      \"tag1\"\n    ]\n  }\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}")
  .header("X-API-Key", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"mysource\",\n  \"description\": \"mysource description\",\n  \"metaData\": {\n    \"tags\": [\n      \"tag1\"\n    ]\n  }\n}")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/sources/{sourceId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"mysource\",\n  \"description\": \"mysource description\",\n  \"metaData\": {\n    \"tags\": [\n      \"tag1\"\n    ]\n  }\n}"

response = http.request(request)
puts response.read_body
```

### Response

204
Successfully updated knowledge source

### Authorizations

#### APIKeyHeader
- **X-API-Key**: *string* (required) - Supply the API Key in the HTTP-Header

#### Headers
- **Accept**: *enum<string>* - The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters
- **knowledgeStoreId**: *string* (required) - The Id of the KnowledgeStore
- **sourceId**: *string* (required) - The Id of the KnowledgeSource

### Body
**Content-Type**: `application/json`
- **name**: *string* - The name of the KnowledgeSource
- **description**: *string* - The description about what the knowledge source contains
- **status**: *enum<string>* - Available options: `ready`, `ingesting`, `disabled`
- **metaData**: *object* - Attributes for metadata.
